#ifndef GUARD_649E63003BEAE79ECA2B813C4E131C9A
#define GUARD_649E63003BEAE79ECA2B813C4E131C9A

typedef signed char i8;
typedef unsigned char u8;
typedef signed short i16;
typedef unsigned short u16;
typedef signed int i32;
typedef unsigned int u32;
typedef signed long long i64;
typedef unsigned long long u64;
typedef float f32;
typedef double f64;
typedef i8 bool;

#define true 1
#define false 0

i32 i32_max(i32 v1, i32 v2);
i32 i32_min(i32 v1, i32 v2);

f32 f32_max(f32 v1, f32 v2);
f32 f32_min(f32 v1, f32 v2);

#endif /* GUARD_649E63003BEAE79ECA2B813C4E131C9A */
